## ros-one-franka-control 0.10.1-42jammy.20251023.1015

=== debian/changelog ===
ros-one-franka-control (0.10.1-42jammy.20251023.1015) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Thu, 23 Oct 2025 10:15:32 +0000

ros-one-franka-control (0.10.1-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Franka Robotics GmbH <support@franka.de>  Thu, 23 Oct 2025 10:15:32 -0000
