## ros-one-franka-control 0.10.1-42jammy.20251207.2251

=== debian/changelog ===
ros-one-franka-control (0.10.1-42jammy.20251207.2251) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Sun, 07 Dec 2025 22:51:23 +0000
