## ros-one-franka-control 0.10.1-42jammy.20260221.2145

=== debian/changelog ===
ros-one-franka-control (0.10.1-42jammy.20260221.2145) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Sat, 21 Feb 2026 21:45:11 +0000
