=== debian/control ===
Source: ros-one-franka-control
Section: misc
Priority: optional
Maintainer: Franka Robotics GmbH <support@franka.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-controller-interface, ros-one-controller-manager, ros-one-franka-hw, ros-one-franka-msgs, ros-one-geometry-msgs, ros-one-libfranka, ros-one-pluginlib, ros-one-realtime-tools, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-srvs, ros-one-tf, ros-one-tf2-msgs
Homepage: http://wiki.ros.org/franka_control
Standards-Version: 3.9.2

Package: ros-one-franka-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-controller-interface, ros-one-controller-manager, ros-one-franka-description, ros-one-franka-gripper, ros-one-franka-hw, ros-one-franka-msgs, ros-one-geometry-msgs, ros-one-joint-state-publisher, ros-one-joint-trajectory-controller, ros-one-libfranka, ros-one-pluginlib, ros-one-realtime-tools, ros-one-robot-state-publisher, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-srvs, ros-one-tf, ros-one-tf2-msgs
Description: franka_control provides a hardware node to control a Franka Robotics research robot
