## ros-one-franka-control 0.10.1-42noble.20260221.2235

=== debian/changelog ===
ros-one-franka-control (0.10.1-42noble.20260221.2235) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Sat, 21 Feb 2026 22:35:11 +0000
